## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.extensions
Interface IEditorDescriptor

    public interface IEditorDescriptor

Containing some static information of an schema object editor

Author:
  Idull

Method Summary
`ISchemaObjectEditorActionBarContributor` `getActionContributor()` Returns the action bar contributor, can be `null`
`java.util.Map` `getDefaultPagesOrder()` Returns the default order of the pages.
`IEditorPageDescriptor[]` `getDefaultSortedPages()` Returns the pages of this editor with default order
`java.lang.String` `getEditorId()` Returns the editor id
`java.lang.String` `getEditorName()` Returns the editor name
`ISchemaObjectEditorHandler` `getHandler()` Returns the handler for this editor
`org.eclipse.swt.graphics.Image` `getIcon()` Returns the icon for this editor, can be `null`
`IEditorPageDescriptor` `getMandatoryFirstPage()` Returns the page which is specified as the first page when it's visible
`IEditorPageDescriptor` `getMandatoryLastPage()` Returns the page which is specified as the last page when it's visible
`java.lang.String` `getObjectTypeName()` Returns the object type name
`IEditorPageDescriptor[]` `getPageDescriptors()` Returns the pages list of this editor
`java.lang.String` `getPluginId()` Returns the plugin id which this editors belongs to
`java.lang.String` `getSchemaObjectType()` Returns the db object type id for which this editor is defined
`IEditorPageDescriptor[]` `getSortedPages()` Returns the pages of this editor with the order set by end-user
`java.lang.String` `getVendorName()` Returns the vendor name
`java.lang.String` `getVersion()` Returns the product version for which this editor is defined
`IEditorPageDescriptor[]` `getVisibleSortedPages()` Returns the visible pages of this editor with the order set by end-user
`IEditorPageDescriptor[]` `getVisibleSortedPagesDefault()` Returns the visible pages of this editor with default order
`boolean` `isVisibilityConfigurable()` Checks if the visibility of pages of this editor can be set by end user
`void` `setActionContributor(ISchemaObjectEditorActionBarContributor contributor)` Sets the action bar contributor, should NOT called by consumer
`void` `setHandler(ISchemaObjectEditorHandler handler)` Sets the handler, should NOT called by consumer
`void` `setMandatoryFirstPage(IEditorPageDescriptor mandatoryFirstPage)`
`void` `setMandatoryLastPage(IEditorPageDescriptor mandatoryLastPage)`
`void` `setObjectTypeName(java.lang.String objTypeName)`
`void` `setPageDescriptors(IEditorPageDescriptor[] pages)` Sets the pages of this editor, should NOT called by consumer
`void` `setPluginId(java.lang.String pluginId)` Sets the plugin id

Method Detail

### getEditorName

    java.lang.String getEditorName()

  Returns the editor name

  Returns:

### getEditorId

    java.lang.String getEditorId()

  Returns the editor id

  Returns:

### getVendorName

    java.lang.String getVendorName()

  Returns the vendor name

  Returns:

### getVersion

    java.lang.String getVersion()

  Returns the product version for which this editor is defined

  Returns:

### getSchemaObjectType

    java.lang.String getSchemaObjectType()

  Returns the db object type id for which this editor is defined

  Returns:

### getPageDescriptors

    IEditorPageDescriptor[] getPageDescriptors()

  Returns the pages list of this editor

  Returns:

### setPageDescriptors

    void setPageDescriptors(IEditorPageDescriptor[] pages)

  Sets the pages of this editor, should NOT called by consumer

  Parameters:
    `pages` -

### getHandler

    ISchemaObjectEditorHandler getHandler()

  Returns the handler for this editor

  Returns:

### setHandler

    void setHandler(ISchemaObjectEditorHandler handler)

  Sets the handler, should NOT called by consumer

  Parameters:
    `handler` -

### getIcon

    org.eclipse.swt.graphics.Image getIcon()

  Returns the icon for this editor, can be `null`

  Returns:

### isVisibilityConfigurable

    boolean isVisibilityConfigurable()

  Checks if the visibility of pages of this editor can be set by end user

  Returns:

### getActionContributor

    ISchemaObjectEditorActionBarContributor getActionContributor()

  Returns the action bar contributor, can be `null`

  Returns:

### setActionContributor

    void setActionContributor(ISchemaObjectEditorActionBarContributor contributor)

  Sets the action bar contributor, should NOT called by consumer

  Parameters:
    `contributor` -

### getDefaultPagesOrder

    java.util.Map getDefaultPagesOrder()

  Returns the default order of the pages. ATTN: The contents of the map may be removed outside of this class

  Returns:

### getSortedPages

    IEditorPageDescriptor[] getSortedPages()

  Returns the pages of this editor with the order set by end-user

  Returns:

### getDefaultSortedPages

    IEditorPageDescriptor[] getDefaultSortedPages()

  Returns the pages of this editor with default order

  Returns:

### getVisibleSortedPages

    IEditorPageDescriptor[] getVisibleSortedPages()

  Returns the visible pages of this editor with the order set by end-user

  Returns:

### getVisibleSortedPagesDefault

    IEditorPageDescriptor[] getVisibleSortedPagesDefault()

  Returns the visible pages of this editor with default order

  Returns:

### getMandatoryFirstPage

    IEditorPageDescriptor getMandatoryFirstPage()

  Returns the page which is specified as the first page when it's visible

  Returns:
    the first page

### getMandatoryLastPage

    IEditorPageDescriptor getMandatoryLastPage()

  Returns the page which is specified as the last page when it's visible

  Returns:
    the last page

### setMandatoryFirstPage

    void setMandatoryFirstPage(IEditorPageDescriptor mandatoryFirstPage)

  Parameters:
    `mandatoryFirstPage` -

### setMandatoryLastPage

    void setMandatoryLastPage(IEditorPageDescriptor mandatoryLastPage)

  Parameters:
    `mandatoryLastPage` -

### getObjectTypeName

    java.lang.String getObjectTypeName()

  Returns the object type name

  Returns:

### setObjectTypeName

    void setObjectTypeName(java.lang.String objTypeName)

  Parameters:
    `objTypeName` -

### getPluginId

    java.lang.String getPluginId()

  Returns the plugin id which this editors belongs to

  Returns:

### setPluginId

    void setPluginId(java.lang.String pluginId)

  Sets the plugin id